Subject: bug#43735: 28.0.50; eshell: No such directory found via CDPATH environment variable

From: Jean Louis <[email-masked]>
Date: Fri, 2 Oct 2020 23:43:29 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-10-01 22:56]:
> Jean Louis <[email-masked]> writes:
> 
> >> > I think it is related also to CDPATH. Now when I remove CDPATH from
> >> > .bashrc, then it works.
> >> 
> >> What's your CDPATH variable?
> >
> > export
> > CDPATH="./:~:/home/data1/protected/Work/3rd-Dynamic/Corporation/Division_4/Dept_10/Company
> > Formation"
> 
> I can reproduce this bug:
> 
> M-x eshell
> $ export CDPATH="/var"
> $ cd tmp
> No such directory found via CDPATH environment variable
> 
> (tmp does exist.)

It is reproducible, but I am starting from login with CDPATH in my
.bashrc, before starting Emacs. I am not chaning CDPATH within Emacs
inside, I did not test that.

If I start with CDPATH in .bashrc, as environment, that is where
problem starts.